Name: pcmcia-cs
Version: 3.2.4
Release: alt1

Summary: PCMCIA daemon and utilities
Group: System/Kernel and hardware
License: GPL
Url: http://%name.sourceforge.net/

Source: ftp://projects.sourceforge.net/pub/%name/%name-%version.tar.bz2
#Source1: %name-2.8.8-network.script
Source2: pcmcia.conf
Source3: pcmcia-cs-3.1.24-isdn.script
Source4: config.bz2
Source5: config.h
Source6: config.mk
Source7: pcmcia-modules.config

Patch0: %name-3.1.23-makefile.patch
Patch1: %name-3.2.3-rc_script.patch
#Patch2: %name-3.1.23-3com.patch
Patch3: %name-3.1.23-ps2.patch
Patch4: %name-3.2.3-install.patch
Patch5: %name-3.1.24-manfix.patch
Patch6: %name-3.1.25-compile.patch
Patch7: %name-3.1.28-network-script-fix.patch
Patch8: %name-3.2.3-cardmgr-openlog-daemonize-fix.patch
Patch9: %name-3.1.18-script.patch
Patch10: %name-3.2.3-updfstab.patch
Patch11: %name-3.1.23-yenta.patch
Patch12: %name-3.1.24-portrange.patch
Patch13: %name-3.1.24-wireless.patch
Patch14: %name-3.1.27-makefile.patch
Patch15: %name-3.1.29-yenta-opts.patch
#Patch16: %name-3.1.30-modprobe.patch
#Patch17: %name-3.1.31-add-pci-ids-from-install.patch
#Patch18: %name-3.1.31-yenta-socket.patch
#Patch19: %name-3.1.31-cirrus6729-uses-oldskool-i82386.patch
Patch20: %name-3.1.31-fixbuild.patch
#Patch21: %name-3.1.31-no-function-binding.patch
#Patch22: %name-3.1.31-prism2-fix.patch
#Patch23: %name-3.1.31-remove-test-for-matching-revision.patch
Patch24: %name-3.2.0-misc.patch
Patch25: %name-3.1.31-umask.patch
Patch26: %name-3.1.31-nobinutils.patch
Patch27: %name-3.2.3-initscript.patch

#Patch100: %name-mdk-3.2.0-forms.patch
Patch101: %name-3.2.3-alt-Xext.patch

PreReq: chkconfig modutils > 2.4.25-alt2
Obsoletes: kernel-%name
Provides: kernel-%name

# Automatically added by buildreq on Tue Aug 12 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libGLwrapper libjpeg libxforms-devel xpm

%description
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are small
cards for everything from SCSI support to modems. PCMCIA cards are hot
swappable (i.e., they can be exchanged without rebooting the system) and
quite convenient to use. The %name package contains a card manager daemon
that can respond to card insertion and removal events by loading and
unloading drivers on demand.  The daemon also supports hot swapping,
so that the cards can be safely inserted and ejected at any time.

%package X11
Summary: PCMCIA daemon and utilities X11R6 part
Group: System/Kernel and hardware
Requires: %name = %version-%release

%description X11
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are small
cards for everything from SCSI support to modems. PCMCIA cards are hot
swappable (i.e., they can be exchanged without rebooting the system) and
quite convenient to use. The %name package contains a card manager daemon
that can respond to card insertion and removal events by loading and
unloading drivers on demand.  The daemon also supports hot swapping,
so that the cards can be safely inserted and ejected at any time.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
#%patch16 -p1
#%patch17 -p1
#%patch18 -p1
#%patch19 -p1
%patch20 -p1
#%patch21 -p1
#%patch22 -p1
#%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1

#%patch100 -p1
%patch101 -p1

chmod -R +w .

%build
make clean
cp %SOURCE5 include/pcmcia
cp %SOURCE6 .
%make_build all DIRS='$(UDIRS)' CC=gcc CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT{/sbin,%_mandir/man8,%_initdir}
%make_install install DIRS='$(UDIRS)' PREFIX=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%_mandir
chmod 755 $RPM_BUILD_ROOT/sbin/*

install -p -m755 -D %SOURCE7 $RPM_BUILD_ROOT%_sysconfdir/modutils.d/pcmcia

# We need our own default %_sysconfdir/sysconfig/pcmcia script.
install -p -m755 -D %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/pcmcia

install -m755 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/pcmcia/isdn
chmod 0644 $RPM_BUILD_ROOT%_sysconfdir/pcmcia/config
bzcat %SOURCE4>$RPM_BUILD_ROOT%_sysconfdir/pcmcia/config
chmod 0644 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/pcmcia

find $RPM_BUILD_ROOT%_mandir -type f -print0 |
	xargs -r0 chmod 644

%post
%post_service pcmcia

%preun
%preun_service pcmcia

%files
/sbin/*
%_mandir/man?/*
%config(noreplace) %_initdir/pcmcia
%config(noreplace) %_sysconfdir/sysconfig/*
%dir %_sysconfdir/pcmcia
%config(noreplace) %_sysconfdir/pcmcia/*
%config(noreplace) %_sysconfdir/modutils.d/pcmcia
%dir %_localstatedir/pcmcia
%_datadir/pnp.ids
%doc CHANGES COPYING README SUPPORTED.CARDS doc/PCMCIA-{HOWTO,PROG}

%files X11
%_x11bindir/*
%_x11mandir/man?/*
%_bindir/*

%changelog
* Tue Aug 12 2003 Rider <rider@altlinux.ru> 3.2.4-alt1
- new version
- include file /etc/modutils.d/pcmcia
- Requires modutils > 2.4.25-alt2

* Thu Jan 09 2003 Konstantin Volckov <goldhead@altlinux.ru> 3.2.3-alt2
- Fixed post scripts

* Thu Nov 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.2.3-alt1
- 3.2.3
- Fixed some patches
- Fixed permissions
- Fixed buildrequires
- Added new subpackage X11 with XFree86 utilities

* Tue Sep 24 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1.31-alt5
- rebuild with new Xforms (added patch100 to fix build)
- added Packager tag.
- rebuild with new XFree (added patch101 to fix build)

* Wed Jun 19 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.1.31-alt4
- Fixed spec exit bug

* Fri Jun 14 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.1.31-alt3
- Fixed kudzu detection
- Fixed BUG in include_ports (removed #14 patch)
- Changed insmod to modprobe first
- Removed %post & %preun services

* Tue May 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.1.31-alt2
- Fixed bug in initscript

* Tue May 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.1.31-alt1
- 3.1.31
- Removed requires to binutils

* Tue Sep 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.1.28-alt2
- Fixed network startup script (rider).
- Fixed /sbin/cardmgr to not spam on console.
- Fixed /sbin/cardmgr to daemonize correctly.
- Fixed manpage permissions.
- Updated startup script.

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.1.28-alt1
- 3.1.28

* Tue Mar 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.1.25-ipl2
- Use default %_sysconfdir/pcmcia/network.

* Sat Mar 10 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.25-ipl1
- 3.1.25

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.24-ipl2
- Fixed fmvj18x_cs manpage.

* Sun Jan 21 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.24-ipl1
- 3.1.24

* Thu Dec 21 2000 Dmitry V. Levin <ldv@fandra.org> 3.1.23-ipl1mdk
- Initial revision.
